###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.0 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import OFS.Folder
import base_item

newsAdd2 = HTMLFile('newsAdd2', globals())
manage_addNewsForm = HTMLFile('newsAdd', globals())

def manage_addNews(self, id, title, short_body, body, priority, public,
				   REQUEST=None):
    "Add an instance of the News class"

    self._setObject(id, News(id, title, short_body, body, priority, public))

    if REQUEST is not None:

        return self.manage_main(self, REQUEST)


class News(
	OFS.Folder.Folder,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"Documentation string"

	meta_type = 'News'
	icon = 'misc_/NewsFolder/Folder_icon.gif'

	_properties = (
		{'id':'title', 'type':'string'},
		{'id':'short_body', 'type':'text'},
		{'id':'body', 'type':'text'},
		{'id':'priority', 'type':'int'},
		{'id':'public', 'type':'boolean'}
		)

	__ac_permissions__ = (
		('View management screens',
		 ('manage_tabs', 'manage_main')),
		('Change Permissions',
		 ('manage_access',)),
		('View News',
		 ('',)),
		)

	index_html = HTMLFile('newsIndex', globals())

	priorities = {
		0:'Low',
		1:'Medium',
		2:'High'}

	base_edit = HTMLFile('news_edit', globals())

	published_via_email = 0

	def __init__(self, id, title='', short_body='', body='', priority='',
				 public=None):
		"Initialize the class instance"

		self.id = id
		self.title = title
		self.short_body = short_body
		self.body = body
		self.priority = priority

		self.public = public

		if public:

			# Set viewable by anyone.
			# FIXME

			pass

	def render_priority(self):
		"""Renders the priority."""


		return self.priorities[self.priority]


default__class_init__(News)

